Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocumentPositionSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.bill.common.bean.DocumentPositionSpec

All Implemented Interfaces:
  `Serializable`, `Idable`, `ListItem`

public class DocumentPositionSpec extends Id implements ListItem

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentPositionSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAmount()`
  `String`
  `getCount()`
  `String`
  `getCountNumsAfterComma()`
  `String`
  `getCountNumsRoundingMode()`
  `String`
  `getExtractor()`
  `String`
  `getName()`
  `Map<String,String>`
  `getParams()`
  `String`
  `getTitle()`
  `String`
  `getUnit()`
  `String`
  `getUnitCode()`
  `boolean`
  `isAddWhenLessZero()`
  `boolean`
  `isInTotal()`
  `void`
  `setAddWhenLessZero(boolean addWhenLessZero)`
  `void`
  `setAmount(String summ)`
  `void`
  `setCount(String quantity)`
  `void`
  `setCountNumsAfterComma(String qtyNumsAfterComma)`
  `void`
  `setCountNumsRoundingMode(String qtyNumsRoundingMode)`
  `void`
  `setExtractor(String extractor)`
  `void`
  `setInTotal(boolean inSum)`
  `void`
  `setName(String name)`
  `void`
  `setParams(Map<String,String> params)`
  `void`
  `setTitle(String title)`
  `void`
  `setUnit(String unit)`
  `void`
  `setUnitCode(String unitCode)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DocumentPositionSpec

    public DocumentPositionSpec()

- ## Method Details

  - ### getAmount

    public String getAmount()

  - ### setAmount

    public void setAmount(String summ)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### setTitle

    public void setTitle(String title)

  - ### isInTotal

    public boolean isInTotal()

  - ### setInTotal

    public void setInTotal(boolean inSum)

  - ### isAddWhenLessZero

    public boolean isAddWhenLessZero()

  - ### setAddWhenLessZero

    public void setAddWhenLessZero(boolean addWhenLessZero)

  - ### getUnit

    public String getUnit()

  - ### setUnit

    public void setUnit(String unit)

  - ### getUnitCode

    public String getUnitCode()

  - ### setUnitCode

    public void setUnitCode(String unitCode)

  - ### getExtractor

    public String getExtractor()

  - ### setExtractor

    public void setExtractor(String extractor)

  - ### getCount

    public String getCount()

  - ### setCount

    public void setCount(String quantity)

  - ### getCountNumsAfterComma

    public String getCountNumsAfterComma()

  - ### setCountNumsAfterComma

    public void setCountNumsAfterComma(String qtyNumsAfterComma)

  - ### getCountNumsRoundingMode

    public String getCountNumsRoundingMode()

  - ### setCountNumsRoundingMode

    public void setCountNumsRoundingMode(String qtyNumsRoundingMode)

  - ### getParams

    public Map<String,String> getParams()

  - ### setParams

    public void setParams(Map<String,String> params)